
local function onComplete( event )
   local photo = event.target
   print( "photo w,h = " .. photo.width .. "," .. photo.height )
end


local button = display.newRect( display.contentCenterX, display.contentCenterY, 100, 100 )
button:addEventListener( "touch", function(event)
    if event.phase == "began" then
		local hasAccessToCamera, hasCamera = media.hasSource( media.Camera )

		if ( hasAccessToCamera == true ) then
		    media.capturePhoto( { listener = onComplete } )
		elseif ( hasCamera == true and native.canShowPopup( "requestAppPermission" ) ) then
		    native.showPopup( "requestAppPermission", { appPermission="Camera" } )
		else
		    native.showAlert( "Solar2D", "This device does not have a camera.", { "OK" } )
		end
    end
end )

-- running on Android 8.1